Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor::ObjectReferenceTemplate_var Class Reference

`#include <ObjectReferenceTemplateC.h>`

Collaboration diagram for PortableInterceptor::ObjectReferenceTemplate_var:

[legend]
List of all members.

## Public Methods
| ObjectReferenceTemplate_var (void)
| ObjectReferenceTemplate_var (ObjectReferenceTemplate *)
| ObjectReferenceTemplate_var (const ObjectReferenceTemplate *)
| ObjectReferenceTemplate_var (const ObjectReferenceTemplate_var &)
| ~ObjectReferenceTemplate_var (void)
ObjectReferenceTemplate_var & | operator= (ObjectReferenceTemplate *)
ObjectReferenceTemplate_var & | operator= (const ObjectReferenceTemplate_var &)
ObjectReferenceTemplate * | operator-> (void) const
| operator const ObjectReferenceTemplate * () const
| operator ObjectReferenceTemplate * ()
ObjectReferenceTemplate * | in (void) const
ObjectReferenceTemplate *& | inout (void)
ObjectReferenceTemplate *& | out (void)
ObjectReferenceTemplate * | _retn (void)
ObjectReferenceTemplate * | ptr (void) const
## Static Public Methods
void | tao_add_ref (ObjectReferenceTemplate *)
void | tao_remove_ref (ObjectReferenceTemplate *)
## Private Attributes
ObjectReferenceTemplate * | ptr_

## Constructor & Destructor Documentation

PortableInterceptor::ObjectReferenceTemplate_var::ObjectReferenceTemplate_var | ( | void |  | ) |

PortableInterceptor::ObjectReferenceTemplate_var::ObjectReferenceTemplate_var | ( | ObjectReferenceTemplate * | p | ) |

PortableInterceptor::ObjectReferenceTemplate_var::ObjectReferenceTemplate_var | ( | const ObjectReferenceTemplate * | p | ) |

PortableInterceptor::ObjectReferenceTemplate_var::ObjectReferenceTemplate_var | ( | const ObjectReferenceTemplate_var & | p | ) |

PortableInterceptor::ObjectReferenceTemplate_var::~ObjectReferenceTemplate_var | ( | void |  | ) |

## Member Function Documentation

PortableInterceptor::ObjectReferenceTemplate * PortableInterceptor::ObjectReferenceTemplate_var::_retn | ( | void |  | ) |

PortableInterceptor::ObjectReferenceTemplate * PortableInterceptor::ObjectReferenceTemplate_var::in | ( | void |  | ) | const

PortableInterceptor::ObjectReferenceTemplate *& PortableInterceptor::ObjectReferenceTemplate_var::inout | ( | void |  | ) |

PortableInterceptor::ObjectReferenceTemplate_var::operator const ObjectReferenceTemplate * | ( |  | ) | const

PortableInterceptor::ObjectReferenceTemplate_var::operator ObjectReferenceTemplate * | ( |  | ) |

PortableInterceptor::ObjectReferenceTemplate * PortableInterceptor::ObjectReferenceTemplate_var::operator-> | ( | void |  | ) | const

PortableInterceptor::ObjectReferenceTemplate_var & PortableInterceptor::ObjectReferenceTemplate_var::operator= | ( | const ObjectReferenceTemplate_var & | p | ) |

PortableInterceptor::ObjectReferenceTemplate_var & PortableInterceptor::ObjectReferenceTemplate_var::operator= | ( | ObjectReferenceTemplate * | p | ) |

PortableInterceptor::ObjectReferenceTemplate *& PortableInterceptor::ObjectReferenceTemplate_var::out | ( | void |  | ) |

PortableInterceptor::ObjectReferenceTemplate * PortableInterceptor::ObjectReferenceTemplate_var::ptr | ( | void |  | ) | const

void PortableInterceptor::ObjectReferenceTemplate_var::tao_add_ref | ( | ObjectReferenceTemplate * | p | ) | `[static]`

void PortableInterceptor::ObjectReferenceTemplate_var::tao_remove_ref | ( | ObjectReferenceTemplate * | p | ) | `[static]`

## Member Data Documentation

ObjectReferenceTemplate* PortableInterceptor::ObjectReferenceTemplate_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- ObjectReferenceTemplateC.h
- ObjectReferenceTemplateC.cpp